#include "pch.h"
#include "SineWaveOscillator.h"

using namespace AudioFilterDemo;

SineWaveOscillator::SineWaveOscillator(IXAudio2* pXAudio2) : FixedBufferOscillator(pXAudio2)
{
    // Initialize the array
    for (int sample = 0; sample < BUFFER_LENGTH; sample++)
        waveformBuffer[sample] = float(sin(2 * 3.14159 * sample / BUFFER_LENGTH));
}
