#include "pch.h"
#include "SquareWaveOscillator.h"

using namespace AudioFilterDemo;

SquareWaveOscillator::SquareWaveOscillator(IXAudio2* pXAudio2) : FixedBufferOscillator(pXAudio2)
{
    // Initialize the array
    for (int sample = 0; sample < BUFFER_LENGTH; sample++)
        waveformBuffer[sample] = sample < BUFFER_LENGTH / 2 ? 1.0f : -1;
}
